<%@ Page %>
<%@ Import NameSpace = "System.Collections" %>
<%@ Import NameSpace = "CommunityServer.Components" %>
<%@ Import NameSpace = "CommunityServer.Configuration" %>
<%@ Import NameSpace = "System.Text" %>
<%@ Register TagPrefix="CS" Namespace="CommunityServer.Controls" Assembly="CommunityServer.Controls" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">

<%
		StringBuilder sb = new StringBuilder();
		string[] items = Jobs.Instance().ToString().Split(',');
		sb.AppendFormat("Jobs created: <strong>{0}</strong><br/>", items[0].Substring(items[0].IndexOf(':')+1).Trim());
		sb.AppendFormat("Interval: <strong>{0} minutes</strong><br/>", items[4].Substring(items[4].IndexOf(':')+1).Trim());
		sb.AppendFormat("Shared thread is running: <strong>{0}</strong><br/>", items[3].Substring(items[3].IndexOf(':')+1).Trim());
		sb.AppendFormat("Last start: <strong>{0}</strong><br/>", items[1].Substring(items[1].IndexOf(':')+1).Trim());
		sb.AppendFormat("Last stop: <strong>{0}</strong><br/>", items[2].Substring(items[2].IndexOf(':')+1).Trim());

		sb.Append("<h4>Jobs sharing a thread</h4>");

		sb.Append("<table cellspacing=\"1\" class=\"tableBorder\" cellpadding=\"3\" width=\"100%\"><tr><th>Type</th><th width=\"70\">Enabled</th><th width=\"70\">Running</th><th width=\"140\">Start</th><th width=\"140\">End</th><th width=\"140\">Success</th></tr>");

		string[] pattern = new string[] {
		 "<tr><td class=\"f\" nowrap>{0}</td><td class=\"f\" nowrap align=\"center\">{1}</td><td class=\"f\" nowrap align=\"center\">{2}</td><td class=\"f\" nowrap>{3}</td><td class=\"f\" nowrap>{4}</td><td class=\"f\" nowrap>{5}</td></tr>",
		 "<tr><td class=\"fh\" nowrap>{0}</td><td class=\"fh\" nowrap align=\"center\">{1}</td><td class=\"fh\" nowrap align=\"center\">{2}</td><td class=\"fh\" nowrap>{3}</td><td class=\"fh\" nowrap>{4}</td><td class=\"fh\" nowrap>{5}</td></tr>"
		 };
		Hashtable jobs = Jobs.Instance().CurrentJobs;
		int t = 0;
		foreach(Job j in jobs.Values)
		{
			if(j.SingleThreaded)
			{
				sb.AppendFormat(pattern[t], j.JobType, j.Enabled,  j.IsRunning ? "<b>True</b>" : "False", j.LastStarted == DateTime.MinValue ? "&nbsp;" : j.LastStarted.ToString(), j.LastEnd == DateTime.MinValue ? "&nbsp;" : j.LastEnd.ToString(), j.LastSuccess == DateTime.MinValue ? "&nbsp;" : j.LastSuccess.ToString());
				t = 1-t;
			}
		}

		sb.Append("</table>");

		sb.Append("<h4>Jobs on their own thread</h4>");

		sb.Append("<table cellspacing=\"1\" class=\"tableBorder\" cellpadding=\"3\" width=\"100%\"><tr><th>Type</th><th width=\"70\">Enabled</th><th width=\"70\">Running</th><th width=\"140\">Start</th><th width=\"140\">End</th><th width=\"140\">Success</th></tr>");
		t = 0;
		foreach(Job j in jobs.Values)
		{
			if(!j.SingleThreaded)
			{
				sb.AppendFormat(pattern[t], j.JobType, j.Enabled,  j.IsRunning ? "<b>True</b>" : "False", j.LastStarted == DateTime.MinValue ? "&nbsp;" : j.LastStarted.ToString(), j.LastEnd == DateTime.MinValue ? "&nbsp;" : j.LastEnd.ToString(), j.LastSuccess == DateTime.MinValue ? "&nbsp;" : j.LastSuccess.ToString());
				t = 1 - t;
			}
		}
		sb.Append("</table>");
		
		JobInfo.Text = sb.ToString();
%>
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
    <head>
	    <title><CS:ResourceControl id = "HeaderTitle" runat="server" ResourceName="Admin_Title"/></title>
	    <meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-1" />
	    <CS:Style id = "AdminStyle" runat="server" Href = "~/admin/style.css" />
    </head>
    <body>    
	    <div id="header">
	        <h1><CS:ResourceControl id = "MainPageTitle" runat="server" ResourceName="Admin_Title" /></h1>
	        <CS:TabControl runat = "Server" ID="AdminTabs" SelectedTab="System" ShowChildren="True" />
	    </div>
	    <div id="main">
		    <div id="contents">
			    <h2><CS:ResourceControl runat="server" ResourceName="Admin_Jobs_Title" id = "SectionDescription" /></h2>			
			    <h3><CS:ResourceControl runat="server" ResourceName="Admin_Jobs_SubTitle" id = "Section_Sub_Description" /></h3>
                <form runat="server" id = "AdminForm"> 
					<asp:Literal id = "JobInfo" runat = "Server" />
                </form>
		    </div>
	    </div>
	    <CS:GenericControl SkinName = "Skin-AdminFooter.ascx" runat = "Server" id = "Footer" />
    </body>
</html>
